PATCH
/conversations/:id/Update conversation
You can update a conversation (status, assignment, etc.).
| Attributes | Type | Required | Description |
|---|---|---|---|
| id | integer | yes | A unique identifier for the conversation which is given by User.com automatically. |
| active | boolean | yes | A flag of a conversation status |
| assigned_to | integer | no | A unique identifier for the agent which is given by User.com automatically. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X PATCH -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2" -H "Content-Type: application/json" -d '{
"assigned_to": "Update assigned agent group ID",
"active": "Update conversation status"
}' "https://<your_app_subdomain>.user.com/api/public/conversations/:id/"
var data = JSON.stringify({
"assigned_to": "Update assigned agent group ID",
"active": "Update conversation status"
});
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("PATCH", "https://<your_app_subdomain>.user.com/api/public/conversations/:id/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/conversations/:id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "{\n \"assigned_to\": \"Update assigned agent group ID\",\n \"active\": \"Update conversation status\"\n}",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>",
"content-type: application/json"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("/<your_app_subdomain>.user.com")
payload = "{\n \"assigned_to\": \"Update assigned agent group ID\",\n \"active\": \"Update conversation status\"\n}"
headers = {
'authorization': "Token <your_64_char_api_key>",
'Accept': "*/*; version=2",
'content-type': "application/json"
}
conn.request("PATCH", "/api/public/conversations/:id/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))